Foros del Web » Administración de Sistemas » Unix / Linux »

Debian Wheezy?

Estas en el tema de Debian Wheezy? en el foro de Unix / Linux en Foros del Web. Hola buenas, tengo instalado Debian Squeeze en mi portatil pero ando teniendo problemas de dependencias al instalar vlc o los codec de xvid y divx ...
  #1 (permalink)  
Antiguo 22/04/2012, 06:48
Avatar de codeman1234  
Fecha de Ingreso: marzo-2008
Mensajes: 545
Antigüedad: 16 años, 1 mes
Puntos: 2
Pregunta

Hola buenas,

tengo instalado Debian Squeeze en mi portatil pero ando teniendo problemas de dependencias al instalar vlc o los codec de xvid y divx como podeis ver abajo:

Código:
root@Users:/home/user1# apt-get install gstreamer0.10-ffmpeg
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 gstreamer0.10-ffmpeg : Depends: liborc-0.4-0 (>= 1:0.4.10) but 1:0.4.6-2 is to be installed
E: Broken packages
Parece que tengo que actualizar paquetes pero el problema de eso es que no puedo actualizarlo mas de lo que estan, por ello la solucion que veo es que actualize de "Squeeze" a "Wheezy" para que actualize los paquetes y me quite los problemas de dependencia. Por ello mi pregunta es si la version de Wheezy es estable para usar como lo es la Squeeze, ya que utilizo mi portatil mucho sobre todo para trabajar, si alguien podria confirmarme si cambiarme a wheezy me resolvera los problemas de dependencia y my SO sera estable.

Una duda mas, podrian confirmarme si para actualizar de distribucion se hace realizando los siguientes pasos:

1) Cambio en mi source.list todo lo que dice "squeeze" a "wheezy"
2) abro consola y pongo los siguientes comandos:
# apt-get update
# apt-get upgrade
# apt-get dist-upgrade


Slds y gracias

Al actualizar a wheezy, hay algun tipo de programa de los que se use en squeeze que no sea compatible con wheezy, tipo alguno de estos:

Libreoffice
Acrobat Reader
Exaile
VLC
Mplayer
Rythmbox
Firefox
Chrome
Opera
Bluefish
Skype
JDownloader
VMWare
Virtuabox
Synaptic
Wicd
Braser
K3B
Cheese
Liferea
Thunderbird
Filezilla
Deluge
Transmission
Amule
Synaptic
Chromium
Compiz

Funcionan todos esos programas correctamente? Una duda mas, es posible en caso necesario volver a squeeze o una vez q actualizas no puedes volver atras?

Slds y gracias

Última edición por BrujoNic; 22/04/2012 a las 11:06
  #2 (permalink)  
Antiguo 23/04/2012, 01:49
Avatar de crakeador  
Fecha de Ingreso: abril-2012
Ubicación: Munich
Mensajes: 52
Antigüedad: 12 años
Puntos: 7
Respuesta: Debian Wheezy?

Prueba antes de todo a instalarlo con aptitude haber que soluciones de da.
__________________
Vini, Vidi, Installi
  #3 (permalink)  
Antiguo 23/04/2012, 11:26
Avatar de mcun  
Fecha de Ingreso: octubre-2010
Ubicación: tras la pantalla
Mensajes: 466
Antigüedad: 13 años, 6 meses
Puntos: 55
Respuesta: Debian Wheezy?

creo que lo mas prudente seria hacer una instalación en una partición aparte de wheezy y ver que tal..
  #4 (permalink)  
Antiguo 23/04/2012, 11:33
 
Fecha de Ingreso: julio-2009
Ubicación: La Plata
Mensajes: 233
Antigüedad: 14 años, 9 meses
Puntos: 8
Respuesta: Debian Wheezy?

Con respecto a lo de la compatibilidad: No te tomes Wheezy como otro SO, sino más bien como un Debian con software más nuevo pero menos probado.
Y por lo de la estabilidad, me parece que pocos te van a recomendar que uses Wheezy, ya que cambia constantemente y justamente es una version de pruevas y no creo que nadie quiera recomendarte algo que no tiene la seguridad de que funciona.
Sin embargo, es una versión muy utilizada por desktop users que no requieren de tanta estabilidad. En mi caso, instalé Wheezy muchas veces y no tuve problemas. Así que en resumidas cuentas, es algo no tan estable pero tampoco es la muerte, así que con que tengas respaldados tus archivos no creo que te cueste nada probar.
Y sí, con esos procedimientos que mencionaste cambiarías de Squeeze a Wheezy. igualmente, a mi parecer, veo el instalar un Wheezy desde 0 mucho más limpio que actualizar un Squeeze a un Wheezy. Sería como actualizar un Win SP2 a SP3 en vez de instalar uno nuevo con SP3.

Espero te halla servido, salu2.
  #5 (permalink)  
Antiguo 23/04/2012, 15:31
Avatar de codeman1234  
Fecha de Ingreso: marzo-2008
Mensajes: 545
Antigüedad: 16 años, 1 mes
Puntos: 2
Respuesta: Debian Wheezy?

Hola a todos,

antes que nada os agradezco vuestras respuestas aunque han sido un poco tarde ya que he actualizado a wheezy, os comento funciona muy bien todos los softwares me funcionan y me ha arreglado el problemas de dependencias el unico problema de dependencia q aun tengo es con el pidgin pero me da un poco igual ya que no lo uso casi. Como entorno de escritorio me he decidido por Mate que es un clon del antiguo gnome2 y me parece genial como funciona personalmente, la pena es que no funciona en squeeze.

Bueno ahora os cuento los dos problemas que he tenido con wheezy:

1) El primero es la tarjeta grafica que desgraciadamente mi portatil viene con el cancer de Nvidia llamado Optimus, le he puesto el bumblebee y parece funcionar ya que mi portatil no se recalienta como lo hace al no instalar el bumblebee, pero el problema es con la acceleracion porque al poner el glxgears:
Cita:
user@groups:~# glxgears
No protocol specified
No protocol specified
Error: couldn't open display :0.0


Cita:
user@groups:~# optirun glxgears
[ERROR]Cannot access secondary GPU - error: [XORG] (EE) Failed to load module "nouveau" (module does not exist, 0)

[ERROR]Aborting because fallback start is disabled.
Mi tarjeta de video es la NVidia Geforce GT 540M con tecnologia NVIDIA Optimus

Alguien sabe como puedo resolver este problema? Ya que con squeeze una vez instalando el bumblebee no tenia mas problemas.

2) El segundo es al iniciar el pc me sale un error que es el siguiente:

Cita:
Can't access ACPI events in /var/run/acpid.socket! Make sure the ACPI subsystem is working and the acpid daemon is running.
Alguien sabe como puedo resolverlos?


Slds y gracias
  #6 (permalink)  
Antiguo 24/04/2012, 08:28
Avatar de codeman1234  
Fecha de Ingreso: marzo-2008
Mensajes: 545
Antigüedad: 16 años, 1 mes
Puntos: 2
Respuesta: Debian Wheezy?

Tengo casi resuelto el primer problema ahora al hacer el glxgears me dice que el modulo de nvidia no existe como te muestro aqui:

user1@users:~# glxgears
No protocol specified
No protocol specified
Error: couldn't open display :0.0

user1@users:~# optirun glxgears
[ERROR]Cannot access secondary GPU - error: [XORG] (EE) Failed to load module "nvidia" (module does not exist, 0)

[ERROR]Aborting because fallback start is disabled.



Slds y gracias
  #7 (permalink)  
Antiguo 24/04/2012, 18:13
 
Fecha de Ingreso: julio-2009
Ubicación: La Plata
Mensajes: 233
Antigüedad: 14 años, 9 meses
Puntos: 8
Respuesta: Debian Wheezy?

Que drivers tenés instalados?. Me refiero a privativos o los libres.
Igualmente, como glxgears te dice que falta el módulo nvidia presupongo que instalaste los privativos. ¿Nos indicarías al detalle cómo los instalaste?.
Salu2

Etiquetas: debian, dependencias, rotas, squeeze, wheezy
Atención: Estás leyendo un tema que no tiene actividad desde hace más de 6 MESES, te recomendamos abrir un Nuevo tema en lugar de responder al actual.
Respuesta




La zona horaria es GMT -6. Ahora son las 23:13.